Subject: bug#10974: [email-masked]

From: Alexei Matveev <[email-masked]>
Date: Mon, 2 Jul 2012 12:15:46 +0200

On Mon, Jul 2, 2012 at 11:38 AM, Ludovic Courtès <[email-masked]> wrote:
>
>> For use from a Fortran program I am collecting API fixes for libguile.so
>> as wrapper functions for what is provided to C-programs as macros.
>> I noted that some of the macros are function-macros some are symbol
>> macros. An example of the latter is
>>
>>   #define scm_to_int scm_to_int23
>
> The macros in numbers.h that are “symbol macros”, such as
> ‘scm_from_int’, allow users to write code like:
>
>   &scm_from_int
>
> This wouldn’t be possible if these were function macros.
>
> Thus, I think things will have to remain this way.

Hi,

It's ok. You may close it.

I still think it could be less confusing if the libguile.so implemented/provided
functions as advertised in Guile API docs for the sake of interfacing to
languages other than C. And &scm_from_int wold also work if it were a real
function.

But there are many more macros, so such a link-time interface would be a
lot of work, I realize by now.

Alexei